[Development] Private headers are needed for <QtGui>

Thiago Macieira thiago.macieira at intel.com
Mon Oct 8 18:07:16 CEST 2012


On segunda-feira, 8 de outubro de 2012 16.37.46, Peter K├╝mmel wrote:
> Currently on Windows private headers are needed when
> #include <QtGui> is used.
> 
> \include\QtGui\QtGui
>    \include\QtGui\QPlatformNativeInterface
> 
> which needs 5.0.0\qpa\qplatformnativeinterface.h
> 
> Is this by design?

No.

Please try erasing include and re-generating it. syncqt & qmake don't always 
recreate them properly if you don't run them in the right order (beats me what 
the right order is).

-- 
Thiago Macieira - thiago.macieira (AT) intel.com
  Software Architect - Intel Open Source Technology Center
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 190 bytes
Desc: This is a digitally signed message part.
URL: <http://lists.qt-project.org/pipermail/development/attachments/20121008/58a11042/attachment.sig>


More information about the Development mailing list